<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\HighlyStructuredMessage\HSMLocalizableParameter\HSMDateTime\HSMDateTimeComponent;

use UnexpectedValueException;




class CalendarType
{
    


    const CALENDAR_TYPE_UNSPECIFIED = 0;
    


    const GREGORIAN = 1;
    


    const SOLAR_HIJRI = 2;

    private static $valueToName = [
        self::CALENDAR_TYPE_UNSPECIFIED => 'CALENDAR_TYPE_UNSPECIFIED',
        self::GREGORIAN => 'GREGORIAN',
        self::SOLAR_HIJRI => 'SOLAR_HIJRI',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

